/*
 * 
 *  This file is part of Sourceprojects.org Lycia Copyright 2010 noctarius
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 * 
 */
package org.sourceprojects.lycia.internal;

import org.sourceprojects.lycia.LyciaParser;
import org.sourceprojects.lycia.ParserContext;

/**
 * A basic, generic implementation of the {@link ParserContext} interface. Makes
 * the internal {@link ParserContextUtils} instance available for holding caches
 * used by the actual {@link LyciaParser} instance.
 * 
 * @author noctarius
 * @since 0.0.1
 * 
 * @param <T>
 *            Type of ContextObject
 */
public class ParserContextImpl<T> implements InternalParserContext<T> {
	private T contextObject;
	private String parserState;
	private ParserContextUtils contextUtils = new ParserContextUtils();

	@Override
	public T getContextObject() {
		return contextObject;
	}

	@Override
	public void setContextObject(final T contextObject) {
		this.contextObject = contextObject;
	}

	@Override
	public void setParserState(final String parserState) {
		this.parserState = parserState;
	}

	@Override
	public String getParserState() {
		return parserState;
	}

	public void setContextUtils(final ParserContextUtils contextUtils) {
		this.contextUtils = contextUtils;
	}

	public ParserContextUtils getContextUtils() {
		return contextUtils;
	}

}
