/*
 * 
 *  This file is part of Sourceprojects.org Lycia Copyright 2010 noctarius
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 * 
 */
package org.sourceprojects.lycia.internal.dom;

import java.io.InputStream;
import java.io.Reader;

public interface ResourceResolverResult {

	public abstract String getBaseURI();

	public abstract InputStream getByteStream();

	public abstract boolean getCertifiedText();

	public abstract Reader getCharacterStream();

	public abstract String getEncoding();

	public abstract String getPublicId();

	public abstract String getStringData();

	public abstract String getSystemId();

	public abstract void setBaseURI(String baseURI);

	public abstract void setByteStream(InputStream byteStream);

	public abstract void setCertifiedText(boolean certifiedText);

	public abstract void setCharacterStream(Reader characterStream);

	public abstract void setEncoding(String encoding);

	public abstract void setPublicId(String publicId);

	public abstract void setStringData(String stringData);

	public abstract void setSystemId(String systemId);

	public abstract String toString();

}