/*
 * 
 *  This file is part of Sourceprojects.org Lycia Copyright 2010 noctarius
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 * 
 */
package org.sourceprojects.lycia.internal.osgi;

import org.osgi.framework.Bundle;
import org.sourceprojects.lycia.LyciaOsgiFactory;
import org.sourceprojects.lycia.LyciaParser;
import org.sourceprojects.lycia.LyciaParserFactory;
import org.sourceprojects.lycia.ResourceResolver;
import org.sourceprojects.lycia.internal.dom.OsgiResourceResolverImpl;

/**
 * 
 * @author noctarius
 * @since 0.0.5
 */
public class LyciaOsgiFactoryImpl implements LyciaOsgiFactory {
	private final Bundle bundle;

	public LyciaOsgiFactoryImpl(final Bundle bundle) {
		this.bundle = bundle;
	}

	@Override
	public <B> LyciaParser<B> newParserInstance() {
		return LyciaParserFactory.newInstance(getClass().getClassLoader());
	}

	@Override
	public ResourceResolver newResourceResolverInstance() {
		final ResourceResolver resolver = new OsgiResourceResolverImpl(bundle);
		return resolver;
	}

	@Override
	public String toString() {
		return "XmlParserOsgiFactoryImpl [bundle=" + bundle + "]";
	}

}
