/*
 * 
 *  This file is part of Sourceprojects.org Lycia Copyright 2010 noctarius
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 * 
 */
package org.sourceprojects.lycia.internal.osgi;

import org.osgi.framework.Bundle;
import org.osgi.framework.ServiceFactory;
import org.osgi.framework.ServiceRegistration;

/**
 * 
 * @author noctarius
 * @since 0.0.5
 */
public class LyciaOsgiServiceFactory implements ServiceFactory {

	@Override
	public Object getService(final Bundle bundle,
			final ServiceRegistration registration) {
		return new LyciaOsgiFactoryImpl(bundle);
	}

	@Override
	public void ungetService(final Bundle bundle,
			final ServiceRegistration registration, final Object service) {
		// ignore, automatically released
	}

}
