/*
 * 
 *  This file is part of Sourceprojects.org Lycia Copyright 2010 noctarius
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 * 
 */
package org.sourceprojects.lycia.internal.platform.base;

import org.sourceprojects.lycia.ResourceResolver;
import org.sourceprojects.lycia.internal.dom.LSInputImpl;
import org.sourceprojects.lycia.internal.dom.ResourceResolverResult;
import org.w3c.dom.ls.LSInput;
import org.w3c.dom.ls.LSResourceResolver;

public class EntityResolverWrapper implements LSResourceResolver {

	private final ResourceResolver resourceResolver;

	public EntityResolverWrapper(final ResourceResolver resourceResolver) {
		this.resourceResolver = resourceResolver;
	}

	@Override
	public LSInput resolveResource(final String type,
			final String namespaceURI, final String publicId,
			final String systemId, final String baseURI) {

		final LSInputImpl impl = new LSInputImpl();

		final ResourceResolverResult input = resourceResolver.resolveResource(
				type, namespaceURI, publicId, systemId, baseURI);

		impl.setBaseURI(input.getBaseURI());
		impl.setByteStream(input.getByteStream());
		impl.setCertifiedText(input.getCertifiedText());
		impl.setCharacterStream(input.getCharacterStream());
		impl.setEncoding(input.getEncoding());
		impl.setPublicId(input.getPublicId());
		impl.setStringData(input.getStringData());
		impl.setSystemId(input.getSystemId());

		return impl;
	}
}
